Linux-SPDX Archive on lore.kernel.org
 help / color / Atom feed
* Invalid License ID: GPL-3.0 for arch/mips/boot/dts/loongson/loongson64-2k1000.dtsi
@ 2021-04-20  9:39 Lukas Bulwahn
  2021-04-20 18:45 ` Al Viro
  0 siblings, 1 reply; 2+ messages in thread
From: Lukas Bulwahn @ 2021-04-20  9:39 UTC (permalink / raw)
  To: Qing Zhang, Thomas Bogendoerfer, Thomas Gleixner, Marc Zyngier,
	Huacai Chen, Jiaxun Yang
  Cc: linux-spdx, open list:BROADCOM NVRAM DRIVER,
	Linux Kernel Mailing List, devicetree, Ming Wang

Dear Qing,

./scripts/spdxcheck.py reports:

arch/mips/boot/dts/loongson/loongson64-2k1000.dtsi: 1:28 Invalid
License ID: GPL-3.0

You have contributed this file with commit b1a792601f26 ("MIPS:
Loongson64: DeviceTree for Loongson-2K1000") to the current
linux-next.

Do you intend to contribute this under this non-default license
(GPL-3.0) for the kernel project or did you simply mean the default
license GPL-2.0?

Best regards,

Lukas

^ permalink raw reply	[flat|nested] 2+ messages in thread

* Re: Invalid License ID: GPL-3.0 for arch/mips/boot/dts/loongson/loongson64-2k1000.dtsi
  2021-04-20  9:39 Invalid License ID: GPL-3.0 for arch/mips/boot/dts/loongson/loongson64-2k1000.dtsi Lukas Bulwahn
@ 2021-04-20 18:45 ` Al Viro
  0 siblings, 0 replies; 2+ messages in thread
From: Al Viro @ 2021-04-20 18:45 UTC (permalink / raw)
  To: Lukas Bulwahn
  Cc: Qing Zhang, Thomas Bogendoerfer, Thomas Gleixner, Marc Zyngier,
	Huacai Chen, Jiaxun Yang, linux-spdx,
	open list:BROADCOM NVRAM DRIVER, Linux Kernel Mailing List,
	devicetree, Ming Wang

On Tue, Apr 20, 2021 at 11:39:04AM +0200, Lukas Bulwahn wrote:
> Dear Qing,
> 
> ./scripts/spdxcheck.py reports:
> 
> arch/mips/boot/dts/loongson/loongson64-2k1000.dtsi: 1:28 Invalid
> License ID: GPL-3.0
> 
> You have contributed this file with commit b1a792601f26 ("MIPS:
> Loongson64: DeviceTree for Loongson-2K1000") to the current
> linux-next.
> 
> Do you intend to contribute this under this non-default license
> (GPL-3.0) for the kernel project or did you simply mean the default
> license GPL-2.0?

Ouch...  That's quite likely to be impossible to distribute, since the
requirements of v2 and v3 are mutually incompatible and quite a bit of
the kernel is under v2-only, not v2-or-any-later-version.

Seriously, folks - talk to lawyers; if the result is *NOT* a mere aggregation
(i.e. is derived work wrt the kernel proper), you are in a copyright violation.

Moreover, if anything in that file is derived from others' work, you can't
use GPL-3.0 unless the terms for everything it's derived from allow
redistribution under GPL-3.0.  Anything derived from others' GPL-2.0 work
(as opposed to GPL-2.0-or-later one) can't be relicensed to GPL-3.0 at
all.

^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, back to index

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-04-20  9:39 Invalid License ID: GPL-3.0 for arch/mips/boot/dts/loongson/loongson64-2k1000.dtsi Lukas Bulwahn
2021-04-20 18:45 ` Al Viro

Linux-SPDX Archive on lore.kernel.org

Archives are clonable:
	git clone --mirror https://lore.kernel.org/linux-spdx/0 linux-spdx/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 linux-spdx linux-spdx/ https://lore.kernel.org/linux-spdx \
		linux-spdx@vger.kernel.org
	public-inbox-index linux-spdx

Example config snippet for mirrors

Newsgroup available over NNTP:
	nntp://nntp.lore.kernel.org/org.kernel.vger.linux-spdx


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git